Gnedov (Все сообщения пользователя)

Выбрать дату в календареВыбрать дату в календаре

Страницы: Пред. 1 2 3 4 5 След.
Вопрос к знатокам iLogic, Размеры детали.
Доброго времени суток. Создал параметрическую сборку, запуская вот это правило для получения разверток:


[CODE]'define the active document As an Assembly file
Dim oAsmDoc As AssemblyDocument
oAsmDoc = ThisApplication.ActiveDocument
oAsmName = Left(oAsmDoc.DisplayName, Len(oAsmDoc.DisplayName) -4)

'check that the active document Is an Assembly file
If ThisApplication.ActiveDocument.DocumentType <> kAssemblyDocumentObject Then
MessageBox.Show("Please run this rule from the assembly file.", "iLogic")
Exit Sub
End If

'Get user Input
RUsure = MessageBox.Show ( _
"DXF-Creator." _
& vbLf & "This rule expects that the drawing file shares the same name and location as the component." _
& vbLf & " " _
& vbLf & "Are you sure you want to create DXF for all Sheets?" _
& vbLf & "This could take a while.", "iLogic  - Batch Output DXFs ",MessageBoxButtons.YesNo)


If RUsure = vbNo Then
Return
Else
End If

Dim oPath As String
oPath = "D:\DXF"

'Get  target folder path
oFolder = oPath

'Check For the  folder And create it If it does Not exist
If Not System.IO.Directory.Exists(oFolder) Then
   System.IO.Directory.CreateDirectory(oFolder)
End If


Dim oRefDocs As DocumentsEnumerator
oRefDocs = oAsmDoc.AllReferencedDocuments
Dim oRefDoc As Document

Dim sOut As String
sOut = "FLAT PATTERN DWG?AcadVersion=2000&OuterProfileLayer=Burn&InteriorProfilesLaye­r=Burn&InvisibleLayers=IV_UNCONSUMEND_SKETCHES;IV_ALTREP_BACK;IV_ALTREP_FRONT;IV_ARC_CENTERS;IV_TOOL_CENTER_DOWN;IV_TOOL_CENTER;IV_ARC_CENTERS;IV_TANGENT;IV_BEND;IV_BEND_DOWN&SplineTolerance Double 0.1"
Dim sFname As String

For Each oRefDoc In oRefDocs
    'Dim oSMCompDef As SheetMetalComponentDefinition
    Try
      oSMCompDef = oRefDoc.ComponentDefinition
       Catch
   End Try
   If oSMCompDef IsNot Nothing Then
     If oSMCompDef.Type = ObjectTypeEnum.kSheetMetalComponentDefinitionObject Then

     oSMCompDef.Unfold
     Else
     oSMCompDef.FlatPattern.Edit
     End If
     Try

       sFname = oPath + "\" + oRefDoc.DisplayName + ".dxf"
' sFname = oPath + "\" + Left(oRefDoc.FileName, Len(oRefDoc.FileName) - 3) + ".dxf"
        oSMCompDef.DataIO.WriteDataToFile(sOut, sFname)
        oSMCompDef.FlatPattern.ExitEdit
     Catch
     End Try
   End If
Next
MessageBox.Show(oFolder & " - "& sFname , "Fertig")[/CODE]

Инвентор создает развертки, но создает развертки не только конфигурации, но и исходника, как получить развертки с параметрической сборки без разверток исходных файлов. вот что получается сейчас:
Вопрос к знатокам iLogic, Размеры детали.
[QUOTE]Slava Vyivanchikov пишет:

Алексей Романов,  

может подскажете код сохранения файла , чтобы в свойства детали и сборки записывались обозначения как мне надо? Нашел пример, но не знаю как его преобразовать

 [URL=http://cad.ru/ru/forum/index.php?PAGE_NAME=message&FID=20&TID=7473&TITLE_SEO=7473&MID=62445#message62445]http://cad.ru/ru/forum/index.php?PAGE_NAME=message&FID=20&TID=7473&TITLE_SEO=7473&MID=62445#message62445[/URL] [/QUOTE]

Вот код, но он определяет разницу между Обозначением и Наименованием наличием между ними пробела в названии файла. То есть у вас должно быть имя файла  такого вида АААА.001.01.01.001(пробел)Деталь1. Тогда в Обозначении у вас будет: АААА.001.01.01.001, а в Наименовании: Деталь1.

name=ThisDoc.FileName(False)
iProperties.Value("Project","Part Number")=name. SubString(0,name.IndexOf(" "))
iProperties.Value("Project","Description")=name. Remove(0,name.IndexOf(" ")+1)
Вопросы от новичка, Последовательность проектирования
Доброго времени суток, возник вопрос.
Сборки и детали привязаны к параметрам файла ексель, при переименовании екселевского файла нужно сменить источник в сборках и деталях. Вопрос можно ли как то сменить источник из головной сборки, во всех подсборках и деталях или только открывая каждую деталь сборку и там менять?
Вопросы от новичка, Последовательность проектирования
Доброго времени суток уважаемые. Возник вопрос при копировании файлов в Dissain Assistent как переименовать чертеж.
Есть сборки уже с чертежами и деталлировками копирую через дизассистент в новую папку необходимые сборки, детали, чертежи к ним
Переименовать сборки, детали с нужным именем обновить файлы чертежей без проблем, но как переименовать сам файл чертежа после переименовывания детали и замены ссылок в самом дизайн ассистенте? Т.е. в новой папке я получаю файлы деталей переименованные, а чертежи со [B]старыми названиями[/B], но с новыми ссылками на новые детали. Чертеж в Дизайн ассистенте вообще можно переименовать или переименовывать только физически а потом тупо обновлять снова в дизайн ассистенте?
Даже проще вопрос, когда в проекте есть файл детали и чертежа как переименовать не только деталь но и сам чертеж?
Изменено: Gnedov - 20.04.2018 15:31:20
Вопросы от новичка, Последовательность проектирования
[QUOTE]n0b0dy пишет:
Спасибо, поищу.

У меня есть такой код, но им тоже долго. [/QUOTE]
Это не совсем то

'define the active document As an Assembly file
Dim oAsmDoc As AssemblyDocument
oAsmDoc = ThisApplication.ActiveDocument
oAsmName = Left(oAsmDoc.DisplayName, Len(oAsmDoc.DisplayName) -4)

'check that the active document Is an Assembly file
If ThisApplication.ActiveDocument.DocumentType <> kAssemblyDocumentObject Then
MessageBox.Show("Please run this rule from the assembly file.", "iLogic")
Exit Sub
End If

'Get user Input
RUsure = MessageBox.Show ( _
"DXF-Creator." _
& vbLf & "This rule expects that the drawing file shares the same name and location as the component." _
& vbLf & " " _
& vbLf & "Are you sure you want to create DXF for all Sheets?" _
& vbLf & "This could take a while.", "iLogic  - Batch Output DXFs ",MessageBoxButtons.YesNo)


If RUsure = vbNo Then
Return
Else
End If

Dim oPath As String
oPath = "D:\DXF"

'Get  target folder path
oFolder = oPath

'Check For the  folder And create it If it does Not exist
If Not System.IO.Directory.Exists(oFolder) Then
   System.IO.Directory.CreateDirectory(oFolder)
End If


Dim oRefDocs As DocumentsEnumerator
oRefDocs = oAsmDoc.AllReferencedDocuments
Dim oRefDoc As Document

Dim sOut As String
sOut = "FLAT PATTERN DWG?AcadVersion=2000&OuterProfileLayer=Burn&InteriorProfilesLaye­r=Burn&InvisibleLayers=IV_UNCONSUMEND_SKETCHES;IV_ALTREP_BACK;IV_ALTREP_FRONT;IV_ARC_CENTERS;IV_TOOL_CENTER_DOWN;IV_TOOL_CENTER;IV_ARC_CENTERS;IV_TANGENT;IV_BEND;IV_BEND_DOWN&SplineTolerance Double 0.1"
Dim sFname As String

For Each oRefDoc In oRefDocs
    'Dim oSMCompDef As SheetMetalComponentDefinition
    Try
      oSMCompDef = oRefDoc.ComponentDefinition
       Catch
   End Try
   If oSMCompDef IsNot Nothing Then
     If oSMCompDef.Type = ObjectTypeEnum.kSheetMetalComponentDefinitionObject Then

     oSMCompDef.Unfold
     Else
     oSMCompDef.FlatPattern.Edit
     End If
     Try

       sFname = oPath + "\" + oRefDoc.DisplayName + ".dxf"
' sFname = oPath + "\" + Left(oRefDoc.FileName, Len(oRefDoc.FileName) - 3) + ".dxf"
        oSMCompDef.DataIO.WriteDataToFile(sOut, sFname)
        oSMCompDef.FlatPattern.ExitEdit
     Catch
     End Try
   End If
Next
MessageBox.Show(oFolder & " - "& sFname , "Fertig")

  Делает развертки всех деталей из сборки.
Вопросы от новичка, Последовательность проектирования
[QUOTE]n0b0dy пишет:
По первому пункту: сохранить как можно конечно нажимать, но Вы точно не пользовались flat pattern. Там просто открываешь сборку, жмешь одну кнопку и со всех листовых делатей делаются dxf файлы! Очень быстро! И все в автоматическом режиме[/QUOTE]
Здесь на форуме есть код на ilogik для создания разверток, поищите по моему Алексей Романов выкладывал.
Вопросы от новичка, Последовательность проектирования
1
Изменено: Gnedov - 02.06.2016 10:14:21
Вопросы от новичка, Последовательность проектирования
Разобрался, спасибо.
Изменено: Gnedov - 02.06.2016 10:14:04
Вопросы от новичка, Последовательность проектирования
Доброго времени суток уважаемые, возник вопрос: есть настроенные стили листового металла, в зависимости от толщины материала и ножа на котором гнется металл, как вытянуть название стиля обработки листового металла на чертеж.
Снимок.JPG (56.78 КБ)
Снимок1.JPG (21.14 КБ)
Вопросы от новичка, Последовательность проектирования
[QUOTE]Сергей Шило пишет:
Код iLogic:
TotalLength = 0.0
length = 0.0
oPath = Feature.InventorFeature("TheSweep").Path
For Each oItem In oPath
oCurve = oItem.Curve
Dim oCurveEval As CurveEvaluator = oCurve.Evaluator
Dim MinParam, MaxParam As Double
oCurveEval.GetParamExtents(MinParam, MaxParam)
oCurveEval.GetLengthAtParam(MinParam, MaxParam, length)
TotalLength = TotalLength + length
Next
Try
L = Ceil(TotalLength * 10)
Catch
End Try
iLogicVb.UpdateWhenDone = True[/QUOTE]

Спасибо все работает в лучшем виде
Вопросы от новичка, Последовательность проектирования
Спасибо, попробую.
Вопросы от новичка, Последовательность проектирования
Через iLogic никак не добраться? Тогда нужно будет прописывать для каждой толщины свои значения, да и погрешности от количества знаков после запятой никуда не деть.
Вопросы от новичка, Последовательность проектирования
Доброго времени суток уважаемые, подскажите пожалуйста, возможно ли в операции сдвиг, получить численное значение длинны пути и записать в пользовательские параметры? Так как изделия из проволоки, то постоянно перемерять длину развертки замучаешься, а эскизы зачастую трехмерные, поэтому длину лучше брать из пути или может есть еще варианты, которых я не знаю?
Add-in: формат idw в dwg, Автоматическое сохранение чертежей в формате idw в dwg
Заработало вот в таком виде:
'------start of iLogic-------
oPath = ThisDoc.Path
oFileName = ThisDoc.FileName(False) 'without extension
oRevNum = iProperties.Value("Project", "Revision Number")
oPDFAddIn = ThisApplication.ApplicationAddIns.ItemById _
("{0AC6FD96-2F4D-42CE-8BE0-8AEA580399E4}")
oDocument = ThisApplication.ActiveDocument
oContext = ThisApplication.TransientObjects.CreateTranslationContext
oContext.Type = IOMechanismEnum.kFileBrowseIOMechanism
oOptions = ThisApplication.TransientObjects.CreateNameValueMap
oDataMedium = ThisApplication.TransientObjects.CreateDataMedium

'If oPDFAddIn.HasSaveCopyAsOptions(oDataMedium, oContext, oOptions) Then
oOptions.Value("All_Color_AS_Black") = 1
oOptions.Value("Remove_Line_Weights") = 1
oOptions.Value("Vector_Resolution") = 600
oOptions.Value("Sheet_Range") = Inventor.PrintRangeEnum.kPrintAllSheets
'oOptions.Value("Custom_Begin_Sheet") = 2
'oOptions.Value("Custom_End_Sheet") = 4
'End If
'Set the destination file name
oDataMedium.FileName = iProperties.Value("Project", "Part Number") & ".pdf"
'Publish document
oPDFAddIn.SaveCopyAs(oDocument, oContext, oOptions,oDataMedium)
Add-in: формат idw в dwg, Автоматическое сохранение чертежей в формате idw в dwg
Поставил 2018, вставляю код илоджик из поста 24 и выдает такую ошибку при сохранении, что не так?( Сначала ругался еще и на 3 строчку, заменил её, но что не так в строке oOptions.Value не могу понять)
Inventor 2018, Обсуждение
Прошу прошения, что не совсем по теме, есть вопрос работал в 2014 Инвенторе, щас уже вышел 2018, какая версия после 2014 более стабильная ( 2018 понятно еще будут допиливать)? Подразумевается работа с ваултом и параметрическими сборками и деталями. Не особо большие сборки, до 200 уникальных деталей.
Изменено: Gnedov - 30.03.2018 14:31:52
Вырезать поверхность
А в лоб не получается, вырезать отверстия и в сборке српоэцировать ребра?
Библиотека Inventor
http://www.cad.ru/ru/forum/index.php?PAGE_NAME=read&FID=20&TID=8403&TITLE_SEO=8403&sphrase_id=386­81&PAGEN_1=5
Почитайте здесь, создавал свою библиотеку на основе существующих деталей.

Перед публикацией, нужно создать все изменения которые вы хотите внести в деталь, со всеми правилами илоджик, и размерами, необходимо их подправить, создать все зависимости размерные и потом публиковать, заходите в редактор библиотек и правите семейство, это екселевский файл, так как вам удобно и необходимо.
Изменено: Gnedov - 19.12.2015 17:18:24
AI 2016
[QUOTE]niksasa пишет:

[QUOTE]niksasa пишет:

в других программах никогда такого не было[/QUOTE]Вру, в браузере хром такая же ерунда, почему то раньше я не заострял на этом внимание, как это изменить понятия не имею [/QUOTE]
Бывает такое же при работе с инвентором, и не только при работе с 2016 версией, без сохранения всех открытых документов, не дает выйти на скрываемую панель задач.
Лохотрон олимпийского масштаба, Что ждет тех, кто решит покататься в Сочи на лыжах
[QUOTE]OlegG пишет:

Так кто же врет????

 [URL=http://www.yaplakal.com/forum43/topic1312716.html]http://www.yaplakal.com/forum43/topic1312716.html[/URL] [/QUOTE]
Судя по коментариям данного сабжа "V-moscow", не та страна и не тот народ ему достался... Когда уж свалят наконец, а то только грозится свалить горазды, да на обливание грязью всего и всех вокруг хватает, никчемности.
Страницы: Пред. 1 2 3 4 5 След.